# ExpandablesColumn QML Type

A column to be used together with the Expandable item. This lays out its content just like a regular Column inside a Flickable but when used together with items of type Expandable it provides additional features like automatically positioning the expanding item when it expands and collapsing it again when the user taps outside of it. More...

Import Statement: | import Lomiri.Components.ListItems 1.3
Inherits: | Flickable

- List of all members, including inherited members

## Properties

- children : QtObject
- expandedItem : Item

## Methods

- collapse()
- collapse()
- expandItem(item)
- expandItem(item)

## Detailed Description

Examples:

    import Lomiri.Components
    import Lomiri.Components.ListItems as ListItem

    ListItem.ExpandablesColumn {
        anchors { left: parent.left; right: parent.right }
        height: units.gu(24)

        Repeater {
            model: 8
            ListItem.Expandable {
                expandedHeight: units.gu(30)

                onClicked: {
                    expanded = true;
                }
            }
        }
    }

## Property Documentation

[default] children : QtObject

Reparent any content to inside the Column.

[read-only] expandedItem : Item

Points to the currently expanded item. Null if no item is expanded.

## Method Documentation

collapse()

Collapse the currently expanded item. If there isn't any item expanded, this function does nothing.

collapse()

Collapse the currently expanded item. If there isn't any item expanded, this function does nothing.

expandItem(item)

Expand the given item. The item must be a child of this ListView.

expandItem(item)

Expand the given item. The item must be a child of this ListView.